petsc-3.4.2 2013-07-02

# PetscPrintf

Prints to standard out, only from the first processor in the communicator. Calls from other processes are ignored.

### Synopsis

    PetscErrorCode  PetscPrintf(MPI_Comm comm,const char format[],...)

Not Collective

### Input Parameters

| comm | - the communicator
| format | - the usual printf() format string

### Fortran Note

The call sequence is PetscPrintf(MPI_Comm, character(*), PetscErrorCode ierr) from Fortran. That is, you can only pass a single character string from Fortran.

### See Also

PetscFPrintf(), PetscSynchronizedPrintf()

Level:intermediate
Location:src/sys/fileio/mprint.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/sys/classes/random/examples/tutorials/ex1.c.html
src/sys/classes/random/examples/tutorials/ex2.c.html
src/sys/examples/tutorials/ex1.c.html
src/sys/examples/tutorials/ex2.c.html
src/sys/examples/tutorials/ex4.c.html
src/sys/examples/tutorials/ex5.c.html
src/sys/examples/tutorials/ex7.c.html
src/sys/threadcomm/examples/tutorials/ex3.c.html
src/sys/threadcomm/examples/tutorials/ex4.c.html
src/sys/threadcomm/examples/tutorials/ex5.c.html
src/vec/vec/examples/tutorials/ex1.c.html